Index: databases/p5-DBIx-Class/Makefile
===================================================================
RCS file: /cvs/ports/databases/p5-DBIx-Class/Makefile,v
retrieving revision 1.18
diff -u -p -u -r1.18 Makefile
--- databases/p5-DBIx-Class/Makefile	11 Mar 2013 02:52:06 -0000	1.18
+++ databases/p5-DBIx-Class/Makefile	2 May 2014 16:15:05 -0000
@@ -1,59 +1,73 @@
 # $OpenBSD: Makefile,v 1.18 2013/03/11 02:52:06 espie Exp $
 
-COMMENT=	object-oriented database access
+COMMENT =	object-oriented database access
 
-MODULES=	cpan
-DISTNAME=	DBIx-Class-0.08196
-REVISION=	0
-CATEGORIES=	databases devel
+MODULES =	cpan
+DISTNAME =	DBIx-Class-0.08270
+CATEGORIES =	databases devel
 
-# Artistic
-PERMIT_PACKAGE_CDROM=	Yes
+MAINTAINER = Andrew Fresh <afresh1@openbsd.org>
 
-CONFIGURE_ARGS=--skipdeps
+# perl_5
+PERMIT_PACKAGE_CDROM =	Yes
 
-BUILD_DEPENDS=	${RUN_DEPENDS}
+CONFIGURE_ARGS +=	--skipdeps
 
-RUN_DEPENDS=	devel/p5-Carp-Clan \
-		devel/p5-Class-Accessor-Grouped \
-		devel/p5-Class-C3-Componentised>=1.0009 \
-		devel/p5-Class-C3>=0.13 \
-		devel/p5-Class-Data-Accessor \
-		devel/p5-Class-Inspector \
-		devel/p5-Config-Any \
-		devel/p5-Context-Preserve \
-		devel/p5-Data-Compare \
-		devel/p5-Data-Dumper-Concise \
+RUN_DEPENDS =	databases/p5-DBI>=1.57 \
 		databases/p5-Data-Page>=2.00 \
-		databases/p5-DBI \
-		converters/p5-JSON \
-		devel/p5-Hash-Merge \
-		devel/p5-Module-Find \
-		devel/p5-namespace-clean \
-		devel/p5-Path-Class \
-		devel/p5-Scope-Guard \
-		databases/p5-SQL-Abstract \
-		databases/p5-SQL-Abstract-Limit \
-		devel/p5-Sub-Name \
-		devel/p5-Try-Tiny \
-		devel/p5-Variable-Magic
-
-TEST_DEPENDS=databases/p5-DBD-SQLite \
-		devel/p5-PadWalker \
-		devel/p5-Test-Memory-Cycle \
-		devel/p5-Test-Warn \
-		textproc/p5-Text-CSV_XS \
+		databases/p5-SQL-Abstract>=1.77 \
+		devel/p5-Class-Accessor-Grouped>=0.10010 \
+		devel/p5-Class-C3-Componentised>=1.0009 \
+		devel/p5-Class-Inspector>=1.24 \
+		devel/p5-Config-Any>=0.20 \
+		devel/p5-Context-Preserve>=0.01 \
+		devel/p5-Data-Compare>=1.22 \
+		devel/p5-Data-Dumper-Concise>=2.020 \
+		devel/p5-Devel-GlobalDestruction>=0.09 \
+		devel/p5-Hash-Merge>=0.12 \
+		devel/p5-MRO-Compat>=0.12 \
+		devel/p5-Module-Find>=0.07 \
+		devel/p5-Moo>=1.002 \
+		devel/p5-Path-Class>=0.18 \
+		devel/p5-Scope-Guard>=0.03 \
+		devel/p5-Sub-Name>=0.04 \
+		devel/p5-Try-Tiny>=0.07 \
+		devel/p5-namespace-clean>=0.24
+
+TEST_DEPENDS =	databases/p5-DBD-SQLite>=1.29 \
+		devel/p5-Package-Stash>=0.28 \
+		devel/p5-Test-Deep>=0.101 \
+		devel/p5-Test-Exception>=0.31 \
+		devel/p5-Test-Warn>=0.21
+
+# Optional depends to avoid skipping tests
+TEST_DEPENDS +=	databases/p5-Class-DBI \
+		databases/p5-SQL-Translator>=0.11016 \
+		converters/p5-JSON-Any>=1.23 \
+		devel/p5-DateTime>=0.55 \
 		devel/p5-DateTime-Format-MySQL \
-		databases/p5-SQL-Translator
+		devel/p5-DateTime-Format-Pg \
+		devel/p5-DateTime-Format-Strptime>=1.2 \
+		devel/p5-DateTime-Format-SQLite \
+		devel/p5-Moose>=0.98 \
+		devel/p5-MooseX-Types>=0.21 \
+		devel/p5-MooseX-Types-LoadableClass>=0.011 \
+		devel/p5-MooseX-Types-Path-Class>=0.05 \
+		devel/p5-namespace-autoclean>=0.09 \
+		devel/p5-Time-Piece-MySQL
+
+# If somone ports these, we will get more tests
+# p5-MooseX-Types-JSON>=0.02
+# p5-Class-DBI-Plugin-DeepAbstractSearch
 
-MAKE_ENV=	DATA_DUMPER_TEST=Yes \
+MAKE_ENV =	DATA_DUMPER_TEST=Yes \
 		DBICTEST_FORK_STRESS=Yes \
 		RELEASE_TESTING=Yes \
 		TEST_POD=Yes
 
 TEST_PG ?=	No
 .if ${TEST_PG:L:Myes}
-MAKE_ENV +=	DBICTEST_PG_DSN='dbi:Pg:dbname=test;host=localhost' \
+MAKE_ENV += 	DBICTEST_PG_DSN='dbi:Pg:database=dbic_test' \
 		DBICTEST_PG_USER=postgres \
 		DBICTEST_PG_PASS=
 TEST_DEPENDS += databases/p5-DBD-Pg
@@ -61,7 +75,7 @@ TEST_DEPENDS += databases/p5-DBD-Pg
 
 TEST_MYSQL ?=	No
 .if ${TEST_MYSQL:L:Myes}
-MAKE_ENV +=	DBICTEST_MYSQL_DSN='dbi:mysql:database=test;host=localhost' \
+MAKE_ENV +=	DBICTEST_MYSQL_DSN='dbi:mysql:database=dbic_test' \
 		DBICTEST_MYSQL_USER=root \
 		DBICTEST_MYSQL_PASS=
 TEST_DEPENDS += databases/p5-DBD-mysql
Index: databases/p5-DBIx-Class/distinfo
===================================================================
RCS file: /cvs/ports/databases/p5-DBIx-Class/distinfo,v
retrieving revision 1.7
diff -u -p -u -r1.7 distinfo
--- databases/p5-DBIx-Class/distinfo	6 Apr 2012 10:00:10 -0000	1.7
+++ databases/p5-DBIx-Class/distinfo	2 May 2014 16:15:05 -0000
@@ -1,5 +1,2 @@
-MD5 (DBIx-Class-0.08196.tar.gz) = kXDU/pVmUYntAgw51zcMog==
-RMD160 (DBIx-Class-0.08196.tar.gz) = eWP32pJp+EzjIFlE2JmmTjTxbbo=
-SHA1 (DBIx-Class-0.08196.tar.gz) = GfKWOkee7PvT6qqCe3U/H7uhboI=
-SHA256 (DBIx-Class-0.08196.tar.gz) = lR6yoeTpKeujewlM4nWkBKT5SQjZM7MiyHxandebYZY=
-SIZE (DBIx-Class-0.08196.tar.gz) = 667259
+SHA256 (DBIx-Class-0.08270.tar.gz) = bezKwaGVQpMkyBGjH0skUV3ffuKJPRwpmFLKxueC48U=
+SIZE (DBIx-Class-0.08270.tar.gz) = 808377
Index: databases/p5-DBIx-Class/pkg/PLIST
===================================================================
RCS file: /cvs/ports/databases/p5-DBIx-Class/pkg/PLIST,v
retrieving revision 1.4
diff -u -p -u -r1.4 PLIST
--- databases/p5-DBIx-Class/pkg/PLIST	6 Apr 2012 10:00:10 -0000	1.4
+++ databases/p5-DBIx-Class/pkg/PLIST	2 May 2014 16:15:05 -0000
@@ -1,5 +1,7 @@
 @comment $OpenBSD: PLIST,v 1.4 2012/04/06 10:00:10 sthen Exp $
 bin/dbicadmin
+${P5SITE}/DBIx/
+${P5SITE}/DBIx/Class/
 ${P5SITE}/DBIx/Class.pm
 ${P5SITE}/DBIx/Class/AccessorGroup.pm
 ${P5SITE}/DBIx/Class/Admin/
@@ -44,9 +46,12 @@ ${P5SITE}/DBIx/Class/Cursor.pm
 ${P5SITE}/DBIx/Class/DB.pm
 ${P5SITE}/DBIx/Class/Exception.pm
 ${P5SITE}/DBIx/Class/FilterColumn.pm
+${P5SITE}/DBIx/Class/FilterColumn.pod
 ${P5SITE}/DBIx/Class/InflateColumn/
 ${P5SITE}/DBIx/Class/InflateColumn.pm
+${P5SITE}/DBIx/Class/InflateColumn.pod
 ${P5SITE}/DBIx/Class/InflateColumn/DateTime.pm
+${P5SITE}/DBIx/Class/InflateColumn/DateTime.pod
 ${P5SITE}/DBIx/Class/InflateColumn/File.pm
 ${P5SITE}/DBIx/Class/Manual/
 ${P5SITE}/DBIx/Class/Manual.pod
@@ -59,7 +64,9 @@ ${P5SITE}/DBIx/Class/Manual/Features.pod
 ${P5SITE}/DBIx/Class/Manual/Glossary.pod
 ${P5SITE}/DBIx/Class/Manual/Intro.pod
 ${P5SITE}/DBIx/Class/Manual/Joining.pod
+${P5SITE}/DBIx/Class/Manual/QuickStart.pod
 ${P5SITE}/DBIx/Class/Manual/Reading.pod
+${P5SITE}/DBIx/Class/Manual/ResultClass.pod
 ${P5SITE}/DBIx/Class/Manual/Troubleshooting.pod
 ${P5SITE}/DBIx/Class/Optional/
 ${P5SITE}/DBIx/Class/Optional/Dependencies.pm
@@ -67,6 +74,7 @@ ${P5SITE}/DBIx/Class/Optional/Dependenci
 ${P5SITE}/DBIx/Class/Ordered.pm
 ${P5SITE}/DBIx/Class/PK/
 ${P5SITE}/DBIx/Class/PK.pm
+${P5SITE}/DBIx/Class/PK.pod
 ${P5SITE}/DBIx/Class/PK/Auto/
 ${P5SITE}/DBIx/Class/PK/Auto.pm
 ${P5SITE}/DBIx/Class/PK/Auto/DB2.pm
@@ -96,12 +104,18 @@ ${P5SITE}/DBIx/Class/ResultSetManager.pm
 ${P5SITE}/DBIx/Class/ResultSetProxy.pm
 ${P5SITE}/DBIx/Class/ResultSource/
 ${P5SITE}/DBIx/Class/ResultSource.pm
+${P5SITE}/DBIx/Class/ResultSource/RowParser/
+${P5SITE}/DBIx/Class/ResultSource/RowParser.pm
+${P5SITE}/DBIx/Class/ResultSource/RowParser/Util.pm
 ${P5SITE}/DBIx/Class/ResultSource/Table.pm
+${P5SITE}/DBIx/Class/ResultSource/Table.pod
 ${P5SITE}/DBIx/Class/ResultSource/View.pm
+${P5SITE}/DBIx/Class/ResultSource/View.pod
 ${P5SITE}/DBIx/Class/ResultSourceHandle.pm
 ${P5SITE}/DBIx/Class/ResultSourceProxy/
 ${P5SITE}/DBIx/Class/ResultSourceProxy.pm
 ${P5SITE}/DBIx/Class/ResultSourceProxy/Table.pm
+${P5SITE}/DBIx/Class/ResultSourceProxy/Table.pod
 ${P5SITE}/DBIx/Class/Row.pm
 ${P5SITE}/DBIx/Class/SQLAHacks/
 ${P5SITE}/DBIx/Class/SQLAHacks.pm
@@ -125,26 +139,31 @@ ${P5SITE}/DBIx/Class/Schema/Versioned.pm
 ${P5SITE}/DBIx/Class/Serialize/
 ${P5SITE}/DBIx/Class/Serialize/Storable.pm
 ${P5SITE}/DBIx/Class/StartupCheck.pm
+${P5SITE}/DBIx/Class/Storage/
 ${P5SITE}/DBIx/Class/Storage.pm
+${P5SITE}/DBIx/Class/Storage/BlockRunner.pm
 ${P5SITE}/DBIx/Class/Storage/DBI/
 ${P5SITE}/DBIx/Class/Storage/DBI.pm
 ${P5SITE}/DBIx/Class/Storage/DBI/ACCESS.pm
 ${P5SITE}/DBIx/Class/Storage/DBI/ADO/
 ${P5SITE}/DBIx/Class/Storage/DBI/ADO.pm
+${P5SITE}/DBIx/Class/Storage/DBI/ADO/CursorUtils.pm
 ${P5SITE}/DBIx/Class/Storage/DBI/ADO/MS_Jet/
 ${P5SITE}/DBIx/Class/Storage/DBI/ADO/MS_Jet.pm
 ${P5SITE}/DBIx/Class/Storage/DBI/ADO/MS_Jet/Cursor.pm
+${P5SITE}/DBIx/Class/Storage/DBI/ADO/Microsoft_SQL_Server/
 ${P5SITE}/DBIx/Class/Storage/DBI/ADO/Microsoft_SQL_Server.pm
+${P5SITE}/DBIx/Class/Storage/DBI/ADO/Microsoft_SQL_Server/Cursor.pm
 ${P5SITE}/DBIx/Class/Storage/DBI/AutoCast.pm
 ${P5SITE}/DBIx/Class/Storage/DBI/Cursor.pm
 ${P5SITE}/DBIx/Class/Storage/DBI/DB2.pm
 ${P5SITE}/DBIx/Class/Storage/DBI/Firebird/
 ${P5SITE}/DBIx/Class/Storage/DBI/Firebird.pm
 ${P5SITE}/DBIx/Class/Storage/DBI/Firebird/Common.pm
+${P5SITE}/DBIx/Class/Storage/DBI/IdentityInsert.pm
 ${P5SITE}/DBIx/Class/Storage/DBI/Informix.pm
 ${P5SITE}/DBIx/Class/Storage/DBI/InterBase.pm
 ${P5SITE}/DBIx/Class/Storage/DBI/MSSQL.pm
-${P5SITE}/DBIx/Class/Storage/DBI/MultiColumnIn.pm
 ${P5SITE}/DBIx/Class/Storage/DBI/NoBindVars.pm
 ${P5SITE}/DBIx/Class/Storage/DBI/ODBC/
 ${P5SITE}/DBIx/Class/Storage/DBI/ODBC.pm
@@ -189,6 +208,7 @@ ${P5SITE}/DBIx/Class/Storage/DBIHacks.pm
 ${P5SITE}/DBIx/Class/Storage/Statistics.pm
 ${P5SITE}/DBIx/Class/Storage/TxnScopeGuard.pm
 ${P5SITE}/DBIx/Class/UTF8Columns.pm
+${P5SITE}/DBIx/Class/_Util.pm
 ${P5SITE}/SQL/Translator/
 ${P5SITE}/SQL/Translator/Parser/
 ${P5SITE}/SQL/Translator/Parser/DBIx/
@@ -229,7 +249,9 @@ ${P5SITE}/SQL/Translator/Producer/DBIx/C
 @man man/man3p/DBIx::Class::Manual::Glossary.3p
 @man man/man3p/DBIx::Class::Manual::Intro.3p
 @man man/man3p/DBIx::Class::Manual::Joining.3p
+@man man/man3p/DBIx::Class::Manual::QuickStart.3p
 @man man/man3p/DBIx::Class::Manual::Reading.3p
+@man man/man3p/DBIx::Class::Manual::ResultClass.3p
 @man man/man3p/DBIx::Class::Manual::Troubleshooting.3p
 @man man/man3p/DBIx::Class::Optional::Dependencies.3p
 @man man/man3p/DBIx::Class::Ordered.3p
@@ -261,21 +283,23 @@ ${P5SITE}/SQL/Translator/Producer/DBIx/C
 @man man/man3p/DBIx::Class::Serialize::Storable.3p
 @man man/man3p/DBIx::Class::StartupCheck.3p
 @man man/man3p/DBIx::Class::Storage.3p
+@man man/man3p/DBIx::Class::Storage::BlockRunner.3p
 @man man/man3p/DBIx::Class::Storage::DBI.3p
 @man man/man3p/DBIx::Class::Storage::DBI::ACCESS.3p
 @man man/man3p/DBIx::Class::Storage::DBI::ADO.3p
 @man man/man3p/DBIx::Class::Storage::DBI::ADO::MS_Jet.3p
 @man man/man3p/DBIx::Class::Storage::DBI::ADO::MS_Jet::Cursor.3p
 @man man/man3p/DBIx::Class::Storage::DBI::ADO::Microsoft_SQL_Server.3p
+@man man/man3p/DBIx::Class::Storage::DBI::ADO::Microsoft_SQL_Server::Cursor.3p
 @man man/man3p/DBIx::Class::Storage::DBI::AutoCast.3p
 @man man/man3p/DBIx::Class::Storage::DBI::Cursor.3p
 @man man/man3p/DBIx::Class::Storage::DBI::DB2.3p
 @man man/man3p/DBIx::Class::Storage::DBI::Firebird.3p
 @man man/man3p/DBIx::Class::Storage::DBI::Firebird::Common.3p
+@man man/man3p/DBIx::Class::Storage::DBI::IdentityInsert.3p
 @man man/man3p/DBIx::Class::Storage::DBI::Informix.3p
 @man man/man3p/DBIx::Class::Storage::DBI::InterBase.3p
 @man man/man3p/DBIx::Class::Storage::DBI::MSSQL.3p
-@man man/man3p/DBIx::Class::Storage::DBI::MultiColumnIn.3p
 @man man/man3p/DBIx::Class::Storage::DBI::NoBindVars.3p
 @man man/man3p/DBIx::Class::Storage::DBI::ODBC.3p
 @man man/man3p/DBIx::Class::Storage::DBI::ODBC::ACCESS.3p
